/*
 *  Copyright (c) Members of the EGEE Collaboration. 2004.
 *  See http://eu-egee.org/partners/ for details on the copyright holders.
 *  For license conditions see the license file or http://eu-egee.org/license.html
 *
 *  GLite Data Transfer Agents: FileTransfer Class
 *
 *  Authors: Paolo Badino <paolo.badino@cern.ch>
 *  Version info: $Id: glite-types.h,v 1.1 2005/05/31 16:53:46 badino Exp $
 *  Release: $Name: glite-data-transfer-agents_R_2_2_4 $
 *
 */
#ifndef GLITE_DATA_TRANSFER_AGENTS_GLITE_TYPES_H_
#define GLITE_DATA_TRANSFER_AGENTS_GLITE_TYPES_H_

namespace glite    {
namespace data     {
namespace transfer {
namespace agent    {

/*
 * longlong Type
 */
#ifdef WIN32
typedef __int64   longlong;
#else 
typedef long long longlong;
#endif

} // End namespace agent
} // End namespace transfer
} // End namespace data
} // End namespace glite

#endif //GLITE_DATA_TRANSFER_AGENTS_GLITE_TYPES_H_
